ru.bitel.bgbilling.modules.cerbercrypt.server.bean

## Class TariffRequestManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.cerbercrypt.server.bean.TariffRequestManager

-     public class TariffRequestManager
      extends java.lang.Object

  Менеджер всякого по запросу из тарифов.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TariffRequestManager.AutosyncOnMode` место действия автосинхронизации карты

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TariffRequestManager(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.Integer>` | `getAutoaddPackets(ParameterMap moduleSetup, int cid, java.util.Calendar date)` Deprecated. эта подфункциональность заменена на узел "Синхронизируемые с тарифом пакеты", убрать можно в 8.1+
    `java.util.Set<java.lang.Integer>` | `getMultiroomIgnorePacket(ParameterMap moduleSetup, int cid, java.util.Calendar date)` Получает из тарифа значение узла "не копируется при мультируме", то есть список id пакетов.
    `java.util.Set<java.lang.Integer>` | `getPacketGroup(ParameterMap moduleSetup, int cid, java.util.Calendar date)`
    `java.util.Set<java.lang.Integer>` | `getPacketsAutosync(ParameterMap moduleSetup, int cid, java.util.Date date, TariffRequestManager.AutosyncOnMode source)` Получает из тарифа ид пакетов в узле "Синхронизируемые с тарифом пакеты", можно указывать место действия для галочек-условий.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TariffRequestManager

          public TariffRequestManager(java.sql.Connection con,
                                      int mid)

  - ### Method Detail

    - #### getMultiroomIgnorePacket

          public java.util.Set<java.lang.Integer> getMultiroomIgnorePacket(ParameterMap moduleSetup,
                                                                           int cid,
                                                                           java.util.Calendar date)

      Получает из тарифа значение узла "не копируется при мультируме", то есть список id пакетов.

    - #### getAutoaddPackets

          public java.util.Set<java.lang.Integer> getAutoaddPackets(ParameterMap moduleSetup,
                                                                    int cid,
                                                                    java.util.Calendar date)

      Deprecated. эта подфункциональность заменена на узел "Синхронизируемые с тарифом пакеты", убрать можно в 8.1+
      Получает из тарифа значение "автодобавляемый пакеты" в узле "базовые пакеты", то есть id пакетов.

    - #### getPacketGroup

          public java.util.Set<java.lang.Integer> getPacketGroup(ParameterMap moduleSetup,
                                                                 int cid,
                                                                 java.util.Calendar date)

    - #### getPacketsAutosync

          public java.util.Set<java.lang.Integer> getPacketsAutosync(ParameterMap moduleSetup,
                                                                     int cid,
                                                                     java.util.Date date,
                                                                     TariffRequestManager.AutosyncOnMode source)

      Получает из тарифа ид пакетов в узле "Синхронизируемые с тарифом пакеты", можно указывать место действия для галочек-условий. Если нету такого, то будет null.